Versionsverlauf
===============

Alle wichtigen Änderungen an diesem Projekt werden in dieser Datei dokumentiert.

Das Format basiert auf [Keep a Changelog](https://keepachangelog.com/de/),
und dieses Projekt folgt [Semantic Versioning](https://semver.org/lang/de/).

## [Noch nicht veröffentlicht]

## [1.2.0] - 2020-07-08

### Korrigiert

- WerkzeugSammlung, DWiStaVmsTable, RSPredefinedLocation, FSPredefinedLocation: Korrektur der Lat- und Long-Werte (Tausch), da diese falsch zugeordnet waren.
- StandardExportPlugin: Korrektur des Verhaltens, wenn noch kein Hash-Code für die statische Publikation (storedHashCode == null) vorhanden ist. Dies wird nun genause gehandhabt, als hätte sich die statische Publikation (fixt Bug-Id 144)
- Tests angepasst an obige Änderungen.
- Aktualisierung build.gradle für Java 11

### Hinzugefügt
- Statische Daten können zyklisch veröffentlicht werden. Gesteuert wird dies über Konfigurationsparameter in der config-Datei eines Plugins.
- Logausgabe in FS- und MQ-Daten bei nicht vorhandenen Daten ergänzt.
- FSPredefinedLocation: Log-Ausgabe, falls Koordinaten nicht ermittelt werden können und die Lokation deshalb verworfen wird (fixt Bug-Id 145).
- MQVerkehrslage, FSVerkehrslage: Konfigurations-Parameter "FreienVerkehrVeroeffentlichen" ergänzt, der entscheidet, ob auch die Werte für freien Verkehr publiziert werden sollen.
- Konfigurationsdateien DaV_MDM_002.properties, DaV_MDM_004.properties: Parameter 'FreienVerkehrVeroeffentlichen' ergänzt.
- Alte Tests entfernt.

## [1.1.0] - 2019-01-08

### Hinzugefügt

* Das Plug-in 'Baustellen' zur Übertragung von Baustellen aus dem ERZ-System zum MDM wurde in die SWE integriert.
  Hierbei wird das DATEX II-Profil des MDM für Baustellen verwendet.
  Für das Plug-in stehen spezielle Betriebsinformationen bereit (BetrInf_KEx-DatexII_FREI_V6.0_D2018-03-01).

## [Version 1.0.1]

- NERZ: Umstellung auf Gradle, Build durch FTB und Bereitstellung auf NERZ-Repositories

## Version 1.0.0

- Ersterstellung


[Noch nicht veröffentlicht]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.kex.datex2/compare/v1.2.0...HEAD
[1.2.0]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.kex.datex2/compare/v1.2.0...v1.1.0
[1.1.0]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.kex.datex2/compare/v1.1.0...v1.0.1
[Version 1.0.1]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.kex.datex2/compare/v1.0.0...v1.0.1
