# SWE KEx-Datex II


## Übersicht

Im Rahmen der länderübergreifenden IT-Verknüpfungen sollen verschiedene
Daten der Straßenbau- und Verkehrsverwaltungen in definierten Standards
publiziert und ausgetauscht werden können. Zu diesem Zweck wurde der Standard
DATEX II – CEN TS 16157  entwickelt und länderübergreifend im europäischen
CEN-Standard veröffentlicht. Diese Standards sind zukünftig in den
Verkehrsrechnern und des Verkehrsinfoportals zur Bereitstellung von
Verkehrsdaten zu integrieren.
Der Datenaustausch erfolgt über den Mobilitäts- Daten Marktplatz
(MDM Plattform der Bundesanstalt für Straßenwesen). Der MDM hat zum Ziel,
den Datenaustausch zwischen Datengebern und Datennehmern mit Hilfe einer
definierten Schnittstelle zu unterstützen und stellt gleichzeitig ein
zentrales Portal mit den gesammelten Informationen über verfügbare Online-
Verkehrsdaten einzelner Datengeber und existierender (Teil-) Plattformen
dar. Auf diese Weise ermöglicht der MDM seinen Nutzern das Anbieten,
Finden und Abonnieren verkehrsrelevanter Online- Daten, ohne dass eine
langwierige Suche nach den relevanten Daten und eine aufwendige technische
und organisatorische bilaterale Abstimmung zwischen Datennehmern und
Datengebern notwendig würde.
Der Datenaustausch zwischen der MDM Datenplattform und den
ERZ-Verkehrsrechnerzentralen (VRZ) erfolgt über eine spezielle
standardisierte Kommunikations- Schnittstelle (KEx-DATEX II –  
nach Standard DATEX II - CEN TS 16157).
Die Kommunikation zwischen den ERZ-Systemen und dem MDM erfolgt
dabei, entsprechend der Systemarchitektur der ERZ-Software, über KEx-DatexII.
Diese stellt die notwendigen Funktionen für die Kommunikation zwischen
den ERZ-Systemen und dem MDM einschließlich der dazu notwendigen
Funktionalitäten (Kommunikationsverwaltung, Protokollumsetzung etc.)
bereit.


## Disclaimer

Copyright (C) 2015 TraffGo Road GmbH

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Dieses Programm ist Freie Software: Sie können es unter den Bedingungen
der GNU General Public License, wie von der Free Software Foundation,
Version 3 der Lizenz oder (nach Ihrer Wahl) jeder neueren
veröffentlichten Version, weiterverbreiten und/oder modifizieren.

Dieses Programm wird in der Hoffnung, dass es nützlich sein wird, aber
OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
Siehe die GNU General Public License für weitere Details.

Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.

## Kontakt
                                                                             
TraffGo Road GmbH  
Ostwall 11-18  
47798 Krefeld

info@traffgoroad.com  
www.traffgoroad.com

